Get Composite Schedule
curl --request POST \
--url https://app.plugchoice.com/api/v3/chargers/{charger}/actions/composite-schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connector_id": 123,
"duration": 123,
"charging_rate_unit": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/chargers/{charger}/actions/composite-schedule"
payload = {
"connector_id": 123,
"duration": 123,
"charging_rate_unit": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({connector_id: 123, duration: 123, charging_rate_unit: '<string>'})
};
fetch('https://app.plugchoice.com/api/v3/chargers/{charger}/actions/composite-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"connectorId": 123,
"scheduleStart": "<string>",
"chargingSchedule": {
"chargingRateUnit": "<string>",
"chargingSchedulePeriod": [
{
"startPeriod": 123,
"limit": 123,
"numberPhases": 123
}
],
"duration": 123,
"startSchedule": "<string>",
"minChargingRate": 123
}
}Actions
Get Composite Schedule
POST
/
v3
/
chargers
/
{charger}
/
actions
/
composite-schedule
Get Composite Schedule
Retrieves the composite charging schedule from the charger. The composite schedule is a merged view of all active charging profiles for a given connector and time duration.
string
required
The UUID of the charger.
integer
required
The ID of the connector to get the schedule for. Use
0 to get the schedule for the entire charge point.integer
required
The duration in seconds for the requested schedule.
string
The unit in which the schedule should be expressed. Possible values:
A (Amperes), W (Watts).Response
string
The response status from the charger (
Accepted or Rejected).integer
The connector ID for which the schedule is provided.
string
The start date and time of the composite schedule (ISO 8601).
object
The composite charging schedule.
Show chargingSchedule
Show chargingSchedule
string
The unit of the schedule (
A or W).array
integer
Duration of the schedule in seconds.
string
Start date and time of the schedule (ISO 8601).
number
Minimum charging rate supported.
⌘I